- Qt 5.15
- Qt Sensors
- C++ Classes
- QHolsterReading
- Qt 5.15.19 Reference Documentation

# QHolsterReading Class

The QHolsterReading class holds readings from the holster sensor. More...

Header: | #include <QHolsterReading>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorReading

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Properties

- holstered : const bool

## Public Functions

bool | holstered() const
void | setHolstered(bool holstered)

## Detailed Description

#### QHolsterReading Units

The holster sensor can detect if a device is holstered or not. A holster is a pocket, similar to a gun holster, specifically made for the device. If the device is inside of this pocket, it is holstered. The holster supports the device in detecting whether the device is holstered or not.

## Property Documentation

### holstered : const bool

This property holds a value indicating whether the device is holstered.

Access functions:

bool | holstered() const

See also QHolsterReading Units.

## Member Function Documentation

### void QHolsterReading::setHolstered(bool holstered)

Sets the holstered value to holstered.

See also holstered().